> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get contract providers

GET https://api.taigabilling.com/api/contracts/v3/{contract_id}/providers

Reference: https://docs.taigabilling.com/api-reference/contracts-v-3/contracts-v-3-get-contract-providers

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `contract_id` (string, required)

### Query parameters

- `page_token` (string, optional)
- `limit` (integer, optional) — Max number of providers returned per page. Defaults to 100. Max is 1000.

## Response

### 200

- `items` (list of organization-providersv2OrganizationProvider, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Errors

### 404 Not Found Error

- `Contracts_v3_get_contract_providersRequestNotFoundError`
  - ContractsV3GetContractProvidersRequestNotFoundError0

### 422 Unprocessable Entity Error

- `Contracts_v3_get_contract_providersRequestUnprocessableEntityError`
  - ContractsV3GetContractProvidersRequestUnprocessableEntityError0

## Types

### organization-providersv2OrganizationProvider

- `employment_status` (enum, required) — The employment status for the provider.
  - Allowed values: `ACTIVE`, `TERMINATED`
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `organization_provider_id` (string, required) — Auto-generated ID set on creation
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (string, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (string, optional, nullable) — The employment termination date for the provider.
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `medicaid_provider_id` (string, optional, nullable) — The medicaid provider ID for the provider.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `ptan` (string, optional, nullable) — The Provider Transaction Access Number for the provider.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.

### ContractsV3GetContractProvidersRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (EntityNotFoundErrorMessage, optional)

### ContractsV3GetContractProvidersRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### EntityNotFoundErrorMessage

- `id` (string, required)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    {
      "employment_status": "ACTIVE",
      "is_billing": true,
      "is_rendering": true,
      "license_type": "MD",
      "npi": "string",
      "organization_provider_id": "string",
      "provider_type": "INDIVIDUAL",
      "addresses": [
        {
          "address": {
            "address1": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "1234",
            "address2": "string"
          },
          "address_type": "DEFAULT"
        }
      ],
      "employment_start_date": "string",
      "employment_termination_date": "string",
      "first_name": "string",
      "last_name": "string",
      "medicaid_provider_id": "string",
      "organization_name": "string",
      "ptan": "string",
      "tax_id": "string",
      "taxonomy_code": "string"
    }
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/contracts/v3/contract_id/providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```